curl --request POST \
--url https://api.galtea.ai/specifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "spec_123",
"productId": "prod_123",
"userId": "user_123",
"name": "Accurate query responses",
"description": "Product must respond accurately to user queries",
"type": "CAPABILITY",
"testType": "QUALITY",
"testVariant": "rag",
"useForTestAlignment": true,
"metricIds": [
"metric_123"
],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.galtea.ai/specifications"
payload = {
"id": "spec_123",
"productId": "prod_123",
"userId": "user_123",
"name": "Accurate query responses",
"description": "Product must respond accurately to user queries",
"type": "CAPABILITY",
"testType": "QUALITY",
"testVariant": "rag",
"useForTestAlignment": True,
"metricIds": ["metric_123"],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'spec_123',
productId: 'prod_123',
userId: 'user_123',
name: 'Accurate query responses',
description: 'Product must respond accurately to user queries',
type: 'CAPABILITY',
testType: 'QUALITY',
testVariant: 'rag',
useForTestAlignment: true,
metricIds: ['metric_123'],
createdAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.galtea.ai/specifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "spec_123",
"productId": "prod_123",
"userId": "user_123",
"name": "Accurate query responses",
"description": "Product must respond accurately to user queries",
"type": "CAPABILITY",
"testType": "QUALITY",
"testVariant": "rag",
"useForTestAlignment": true,
"metricIds": [
"metric_123"
],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"error": "Error type",
"message": "Error message description"
}Create specification
Create a new specification. See Specifications.
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Body
"spec_123"
"prod_123"
"user_123"
"Accurate query responses"
"Product must respond accurately to user queries"
CAPABILITY, INABILITY, POLICY "CAPABILITY"
POLICY: the classified value. CAPABILITY: always SCENARIOS (auto-assigned). Null for INABILITY.
QUALITY, RED_TEAMING, SCENARIOS "QUALITY"
Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.
"rag"
true
["metric_123"]
Response
Specification created successfully
"spec_123"
"prod_123"
"user_123"
"Accurate query responses"
"Product must respond accurately to user queries"
CAPABILITY, INABILITY, POLICY "CAPABILITY"
POLICY: the classified value. CAPABILITY: always SCENARIOS (auto-assigned). Null for INABILITY.
QUALITY, RED_TEAMING, SCENARIOS "QUALITY"
Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.
"rag"
true
["metric_123"]